slepc-3.21.1 2024-04-26
Report Typos and Errors

# NEPGetProblemType

Gets the problem type from the NEP object.

### Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPGetProblemType(NEP nep,NEPProblemType *type)

Not Collective

### Input Parameter

| nep | - the nonlinear eigensolver context

### Output Parameter

| type | - the problem type

### See Also

NEPSetProblemType(), NEPProblemType

### Level

intermediate

### Location

src/nep/interface/nepopts.c
Index of all NEP routines
Table of Contents for all manual pages
Index of all manual pages